> For the complete documentation index, see [llms.txt](https://docs.whereby.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whereby.com/reference/camera-effects-reference-1/quick-start.md).

# Quick Start

The audio denoiser ships with `@whereby.com/core` and `@whereby.com/browser-sdk` — there's nothing extra to install. The denoiser code is loaded on demand the first time you use it.

1. Check that noise suppression is supported in the current browser

{% tabs %}
{% tab title="React (browser-sdk)" %}

```jsx
import { isAudioDenoiserSupported } from "@whereby.com/browser-sdk/react";

const [supported, setSupported] = React.useState(false);

// Lazy-loaded; can be called when needed
async function checkAudioDenoiserSupport() {
    setSupported(await isAudioDenoiserSupported());
}
```

{% endtab %}

{% tab title="Core" %}

```jsx
import { isAudioDenoiserSupported } from "@whereby.com/core";

// Lazy-loaded; can be called when needed
const supported = await isAudioDenoiserSupported();
```

{% endtab %}
{% endtabs %}

2. Toggle noise suppression using the room connection

{% tabs %}
{% tab title="React (browser-sdk)" %}

```jsx
import { useRoomConnection } from "@whereby.com/browser-sdk/react";

const { actions } = useRoomConnection(roomUrl, { localMediaOptions: { audio: true, video: true } });
const { enableAudioDenoiser, disableAudioDenoiser } = actions;

// Turn noise suppression on
await enableAudioDenoiser();

// ...or off
await disableAudioDenoiser();
```

{% endtab %}

{% tab title="Core" %}

```jsx
import { WherebyClient } from "@whereby.com/core";

const client = new WherebyClient();
const roomConnection = client.getRoomConnection();

// Turn noise suppression on
await roomConnection.enableAudioDenoiser();

// ...or off
await roomConnection.disableAudioDenoiser();
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Once enabled, the denoiser is automatically re-applied if the microphone device is later switched.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whereby.com/reference/camera-effects-reference-1/quick-start.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
